using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts;

public interface IGuestLogic
{
    List<GuestViewModel>? ReadList(GuestSearchModel? model);
    GuestViewModel? ReadElement(GuestSearchModel model);
    bool Create(GuestBindingModel model);
    bool Update(GuestBindingModel model);
    bool Delete(GuestBindingModel model);
}